{% extends "::layout.html.twig" %}
{% set section="veaf_spawn" %}

{% block pageWrapper %}
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">VEAF Marker Commands Helper</h1>
        </div>
    </div>
    <div class="row">
        {# general information #}
        <div class="col-sm-6 col-md-3">

            <h2><a>SPAWN JTAC</a></h2>
            <div class="alert alert-warning">
                <i class="fa fa-warning"></i> JTAC are invisible for A.I. <br/>
                <i class="fa fa-warning"></i> Spawning an already used laser code will replace the corresponding JTAC.
            </div>

            Laser Code:
            <input id="laser" class="form-control" value="1688"/>
            <br/>

            {% include "@App/veaf_marker/_country.html.twig" with {"country": options.jtac.country } %}

            Marker command:
            <input type="text" id="jtac_cmd" class="form-control"/>
            <br/>

            <script>
                function updateJtac() {
                    var cmd = "_spawn jtac";
                    cmd = cmd + ", laser " + $("#laser").val();
                    cmd = cmd + ", country " + $("#country").val();
                    $("#jtac_cmd").val(cmd);
                }

                updateJtac();

                $("select").change(function () {
                    updateJtac();
                });

                $("#laser").keyup(function () {
                    updateJtac();
                });


            </script>

            <img src="{{ asset('img/veaf/marker/helper/jtac/03_jtac_view.jpg') }}" class="img-responsive"/>
        </div>

        <div class="col-sm-6 col-md-9">
            <h2><a>Tutorial</a></h2>

            <div class="row">
                <div class="col-sm-12">
                    <h2>Create a jtac, with custom laser code</h2>
                    <img src="{{ asset('img/veaf/marker/helper/jtac/01_spawn_jtac.png') }}" class="img-responsive"/>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <h2>A JTAC will spawn, an lase visible targets (use F10/JTAC menu for more information)</h2>
                    <img src="{{ asset('img/veaf/marker/helper/jtac/02_jtac_message.png') }}" class="img-responsive"/>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
